crypton-0.34: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell2010

Crypto.Hash.Algorithms

Contents

- Hash algorithms

Description

Definitions of known hash algorithms

Synopsis

- class HashAlgorithm a
- class HashAlgorithm a => HashAlgorithmPrefix a
- data Blake2s_160 = Blake2s_160
- data Blake2s_224 = Blake2s_224
- data Blake2s_256 = Blake2s_256
- data Blake2sp_224 = Blake2sp_224
- data Blake2sp_256 = Blake2sp_256
- data Blake2b_160 = Blake2b_160
- data Blake2b_224 = Blake2b_224
- data Blake2b_256 = Blake2b_256
- data Blake2b_384 = Blake2b_384
- data Blake2b_512 = Blake2b_512
- data Blake2bp_512 = Blake2bp_512
- data MD2 = MD2
- data MD4 = MD4
- data MD5 = MD5
- data SHA1 = SHA1
- data SHA224 = SHA224
- data SHA256 = SHA256
- data SHA384 = SHA384
- data SHA512 = SHA512
- data SHA512t_224 = SHA512t_224
- data SHA512t_256 = SHA512t_256
- data RIPEMD160 = RIPEMD160
- data Tiger = Tiger
- data Keccak_224 = Keccak_224
- data Keccak_256 = Keccak_256
- data Keccak_384 = Keccak_384
- data Keccak_512 = Keccak_512
- data SHA3_224 = SHA3_224
- data SHA3_256 = SHA3_256
- data SHA3_384 = SHA3_384
- data SHA3_512 = SHA3_512
- data SHAKE128 (bitlen :: Nat) = SHAKE128
- data SHAKE256 (bitlen :: Nat) = SHAKE256
- data Blake2b (bitlen :: Nat) = Blake2b
- data Blake2bp (bitlen :: Nat) = Blake2bp
- data Blake2s (bitlen :: Nat) = Blake2s
- data Blake2sp (bitlen :: Nat) = Blake2sp
- data Skein256_224 = Skein256_224
- data Skein256_256 = Skein256_256
- data Skein512_224 = Skein512_224
- data Skein512_256 = Skein512_256
- data Skein512_384 = Skein512_384
- data Skein512_512 = Skein512_512
- data Whirlpool = Whirlpool

# Documentation

class HashAlgorithm a Source #

Class representing hashing algorithms.

The interface presented here is update in place and lowlevel. the Hash module takes care of hidding the mutable interface properly.

Minimal complete definition

hashBlockSize, hashDigestSize, hashInternalContextSize, hashInternalInit, hashInternalUpdate, hashInternalFinalize

#### Instances

Instances details

HashAlgorithm Blake2b_160 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_160 :: Nat Source #

type HashDigestSize Blake2b_160 :: Nat Source #

type HashInternalContextSize Blake2b_160 :: Nat Source #

Methods

hashBlockSize :: Blake2b_160 -> Int Source #

hashDigestSize :: Blake2b_160 -> Int Source #

hashInternalContextSize :: Blake2b_160 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_160) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_160) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_160) -> Ptr (Digest Blake2b_160) -> IO () Source #

HashAlgorithm Blake2b_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_224 :: Nat Source #

type HashDigestSize Blake2b_224 :: Nat Source #

type HashInternalContextSize Blake2b_224 :: Nat Source #

Methods

hashBlockSize :: Blake2b_224 -> Int Source #

hashDigestSize :: Blake2b_224 -> Int Source #

hashInternalContextSize :: Blake2b_224 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_224) -> Ptr (Digest Blake2b_224) -> IO () Source #

HashAlgorithm Blake2b_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_256 :: Nat Source #

type HashDigestSize Blake2b_256 :: Nat Source #

type HashInternalContextSize Blake2b_256 :: Nat Source #

Methods

hashBlockSize :: Blake2b_256 -> Int Source #

hashDigestSize :: Blake2b_256 -> Int Source #

hashInternalContextSize :: Blake2b_256 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_256) -> Ptr (Digest Blake2b_256) -> IO () Source #

HashAlgorithm Blake2b_384 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_384 :: Nat Source #

type HashDigestSize Blake2b_384 :: Nat Source #

type HashInternalContextSize Blake2b_384 :: Nat Source #

Methods

hashBlockSize :: Blake2b_384 -> Int Source #

hashDigestSize :: Blake2b_384 -> Int Source #

hashInternalContextSize :: Blake2b_384 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_384) -> Ptr (Digest Blake2b_384) -> IO () Source #

HashAlgorithm Blake2b_512 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_512 :: Nat Source #

type HashDigestSize Blake2b_512 :: Nat Source #

type HashInternalContextSize Blake2b_512 :: Nat Source #

Methods

hashBlockSize :: Blake2b_512 -> Int Source #

hashDigestSize :: Blake2b_512 -> Int Source #

hashInternalContextSize :: Blake2b_512 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_512) -> Ptr (Digest Blake2b_512) -> IO () Source #

HashAlgorithm Blake2bp_512 Source # |

Instance details

Defined in Crypto.Hash.Blake2bp

Associated Types

type HashBlockSize Blake2bp_512 :: Nat Source #

type HashDigestSize Blake2bp_512 :: Nat Source #

type HashInternalContextSize Blake2bp_512 :: Nat Source #

Methods

hashBlockSize :: Blake2bp_512 -> Int Source #

hashDigestSize :: Blake2bp_512 -> Int Source #

hashInternalContextSize :: Blake2bp_512 -> Int Source #

hashInternalInit :: Ptr (Context Blake2bp_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2bp_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2bp_512) -> Ptr (Digest Blake2bp_512) -> IO () Source #

HashAlgorithm Blake2s_160 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_160 :: Nat Source #

type HashDigestSize Blake2s_160 :: Nat Source #

type HashInternalContextSize Blake2s_160 :: Nat Source #

Methods

hashBlockSize :: Blake2s_160 -> Int Source #

hashDigestSize :: Blake2s_160 -> Int Source #

hashInternalContextSize :: Blake2s_160 -> Int Source #

hashInternalInit :: Ptr (Context Blake2s_160) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2s_160) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2s_160) -> Ptr (Digest Blake2s_160) -> IO () Source #

HashAlgorithm Blake2s_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_224 :: Nat Source #

type HashDigestSize Blake2s_224 :: Nat Source #

type HashInternalContextSize Blake2s_224 :: Nat Source #

Methods

hashBlockSize :: Blake2s_224 -> Int Source #

hashDigestSize :: Blake2s_224 -> Int Source #

hashInternalContextSize :: Blake2s_224 -> Int Source #

hashInternalInit :: Ptr (Context Blake2s_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2s_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2s_224) -> Ptr (Digest Blake2s_224) -> IO () Source #

HashAlgorithm Blake2s_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_256 :: Nat Source #

type HashDigestSize Blake2s_256 :: Nat Source #

type HashInternalContextSize Blake2s_256 :: Nat Source #

Methods

hashBlockSize :: Blake2s_256 -> Int Source #

hashDigestSize :: Blake2s_256 -> Int Source #

hashInternalContextSize :: Blake2s_256 -> Int Source #

hashInternalInit :: Ptr (Context Blake2s_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2s_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2s_256) -> Ptr (Digest Blake2s_256) -> IO () Source #

HashAlgorithm Blake2sp_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_224 :: Nat Source #

type HashDigestSize Blake2sp_224 :: Nat Source #

type HashInternalContextSize Blake2sp_224 :: Nat Source #

Methods

hashBlockSize :: Blake2sp_224 -> Int Source #

hashDigestSize :: Blake2sp_224 -> Int Source #

hashInternalContextSize :: Blake2sp_224 -> Int Source #

hashInternalInit :: Ptr (Context Blake2sp_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2sp_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2sp_224) -> Ptr (Digest Blake2sp_224) -> IO () Source #

HashAlgorithm Blake2sp_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_256 :: Nat Source #

type HashDigestSize Blake2sp_256 :: Nat Source #

type HashInternalContextSize Blake2sp_256 :: Nat Source #

Methods

hashBlockSize :: Blake2sp_256 -> Int Source #

hashDigestSize :: Blake2sp_256 -> Int Source #

hashInternalContextSize :: Blake2sp_256 -> Int Source #

hashInternalInit :: Ptr (Context Blake2sp_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2sp_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2sp_256) -> Ptr (Digest Blake2sp_256) -> IO () Source #

HashAlgorithm Keccak_224 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_224 :: Nat Source #

type HashDigestSize Keccak_224 :: Nat Source #

type HashInternalContextSize Keccak_224 :: Nat Source #

Methods

hashBlockSize :: Keccak_224 -> Int Source #

hashDigestSize :: Keccak_224 -> Int Source #

hashInternalContextSize :: Keccak_224 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_224) -> Ptr (Digest Keccak_224) -> IO () Source #

HashAlgorithm Keccak_256 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_256 :: Nat Source #

type HashDigestSize Keccak_256 :: Nat Source #

type HashInternalContextSize Keccak_256 :: Nat Source #

Methods

hashBlockSize :: Keccak_256 -> Int Source #

hashDigestSize :: Keccak_256 -> Int Source #

hashInternalContextSize :: Keccak_256 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_256) -> Ptr (Digest Keccak_256) -> IO () Source #

HashAlgorithm Keccak_384 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_384 :: Nat Source #

type HashDigestSize Keccak_384 :: Nat Source #

type HashInternalContextSize Keccak_384 :: Nat Source #

Methods

hashBlockSize :: Keccak_384 -> Int Source #

hashDigestSize :: Keccak_384 -> Int Source #

hashInternalContextSize :: Keccak_384 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_384) -> Ptr (Digest Keccak_384) -> IO () Source #

HashAlgorithm Keccak_512 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_512 :: Nat Source #

type HashDigestSize Keccak_512 :: Nat Source #

type HashInternalContextSize Keccak_512 :: Nat Source #

Methods

hashBlockSize :: Keccak_512 -> Int Source #

hashDigestSize :: Keccak_512 -> Int Source #

hashInternalContextSize :: Keccak_512 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_512) -> Ptr (Digest Keccak_512) -> IO () Source #

HashAlgorithm MD2 Source # |

Instance details

Defined in Crypto.Hash.MD2

Associated Types

type HashBlockSize MD2 :: Nat Source #

type HashDigestSize MD2 :: Nat Source #

type HashInternalContextSize MD2 :: Nat Source #

Methods

hashBlockSize :: MD2 -> Int Source #

hashDigestSize :: MD2 -> Int Source #

hashInternalContextSize :: MD2 -> Int Source #

hashInternalInit :: Ptr (Context MD2) -> IO () Source #

hashInternalUpdate :: Ptr (Context MD2) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context MD2) -> Ptr (Digest MD2) -> IO () Source #

HashAlgorithm MD4 Source # |

Instance details

Defined in Crypto.Hash.MD4

Associated Types

type HashBlockSize MD4 :: Nat Source #

type HashDigestSize MD4 :: Nat Source #

type HashInternalContextSize MD4 :: Nat Source #

Methods

hashBlockSize :: MD4 -> Int Source #

hashDigestSize :: MD4 -> Int Source #

hashInternalContextSize :: MD4 -> Int Source #

hashInternalInit :: Ptr (Context MD4) -> IO () Source #

hashInternalUpdate :: Ptr (Context MD4) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context MD4) -> Ptr (Digest MD4) -> IO () Source #

HashAlgorithm MD5 Source # |

Instance details

Defined in Crypto.Hash.MD5

Associated Types

type HashBlockSize MD5 :: Nat Source #

type HashDigestSize MD5 :: Nat Source #

type HashInternalContextSize MD5 :: Nat Source #

Methods

hashBlockSize :: MD5 -> Int Source #

hashDigestSize :: MD5 -> Int Source #

hashInternalContextSize :: MD5 -> Int Source #

hashInternalInit :: Ptr (Context MD5) -> IO () Source #

hashInternalUpdate :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context MD5) -> Ptr (Digest MD5) -> IO () Source #

HashAlgorithm RIPEMD160 Source # |

Instance details

Defined in Crypto.Hash.RIPEMD160

Associated Types

type HashBlockSize RIPEMD160 :: Nat Source #

type HashDigestSize RIPEMD160 :: Nat Source #

type HashInternalContextSize RIPEMD160 :: Nat Source #

Methods

hashBlockSize :: RIPEMD160 -> Int Source #

hashDigestSize :: RIPEMD160 -> Int Source #

hashInternalContextSize :: RIPEMD160 -> Int Source #

hashInternalInit :: Ptr (Context RIPEMD160) -> IO () Source #

hashInternalUpdate :: Ptr (Context RIPEMD160) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context RIPEMD160) -> Ptr (Digest RIPEMD160) -> IO () Source #

HashAlgorithm SHA1 Source # |

Instance details

Defined in Crypto.Hash.SHA1

Associated Types

type HashBlockSize SHA1 :: Nat Source #

type HashDigestSize SHA1 :: Nat Source #

type HashInternalContextSize SHA1 :: Nat Source #

Methods

hashBlockSize :: SHA1 -> Int Source #

hashDigestSize :: SHA1 -> Int Source #

hashInternalContextSize :: SHA1 -> Int Source #

hashInternalInit :: Ptr (Context SHA1) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA1) -> Ptr (Digest SHA1) -> IO () Source #

HashAlgorithm SHA224 Source # |

Instance details

Defined in Crypto.Hash.SHA224

Associated Types

type HashBlockSize SHA224 :: Nat Source #

type HashDigestSize SHA224 :: Nat Source #

type HashInternalContextSize SHA224 :: Nat Source #

Methods

hashBlockSize :: SHA224 -> Int Source #

hashDigestSize :: SHA224 -> Int Source #

hashInternalContextSize :: SHA224 -> Int Source #

hashInternalInit :: Ptr (Context SHA224) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA224) -> Ptr (Digest SHA224) -> IO () Source #

HashAlgorithm SHA256 Source # |

Instance details

Defined in Crypto.Hash.SHA256

Associated Types

type HashBlockSize SHA256 :: Nat Source #

type HashDigestSize SHA256 :: Nat Source #

type HashInternalContextSize SHA256 :: Nat Source #

Methods

hashBlockSize :: SHA256 -> Int Source #

hashDigestSize :: SHA256 -> Int Source #

hashInternalContextSize :: SHA256 -> Int Source #

hashInternalInit :: Ptr (Context SHA256) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA256) -> Ptr (Digest SHA256) -> IO () Source #

HashAlgorithm SHA3_224 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_224 :: Nat Source #

type HashDigestSize SHA3_224 :: Nat Source #

type HashInternalContextSize SHA3_224 :: Nat Source #

Methods

hashBlockSize :: SHA3_224 -> Int Source #

hashDigestSize :: SHA3_224 -> Int Source #

hashInternalContextSize :: SHA3_224 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_224) -> Ptr (Digest SHA3_224) -> IO () Source #

HashAlgorithm SHA3_256 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_256 :: Nat Source #

type HashDigestSize SHA3_256 :: Nat Source #

type HashInternalContextSize SHA3_256 :: Nat Source #

Methods

hashBlockSize :: SHA3_256 -> Int Source #

hashDigestSize :: SHA3_256 -> Int Source #

hashInternalContextSize :: SHA3_256 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_256) -> Ptr (Digest SHA3_256) -> IO () Source #

HashAlgorithm SHA3_384 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_384 :: Nat Source #

type HashDigestSize SHA3_384 :: Nat Source #

type HashInternalContextSize SHA3_384 :: Nat Source #

Methods

hashBlockSize :: SHA3_384 -> Int Source #

hashDigestSize :: SHA3_384 -> Int Source #

hashInternalContextSize :: SHA3_384 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_384) -> Ptr (Digest SHA3_384) -> IO () Source #

HashAlgorithm SHA3_512 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_512 :: Nat Source #

type HashDigestSize SHA3_512 :: Nat Source #

type HashInternalContextSize SHA3_512 :: Nat Source #

Methods

hashBlockSize :: SHA3_512 -> Int Source #

hashDigestSize :: SHA3_512 -> Int Source #

hashInternalContextSize :: SHA3_512 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_512) -> Ptr (Digest SHA3_512) -> IO () Source #

HashAlgorithm SHA384 Source # |

Instance details

Defined in Crypto.Hash.SHA384

Associated Types

type HashBlockSize SHA384 :: Nat Source #

type HashDigestSize SHA384 :: Nat Source #

type HashInternalContextSize SHA384 :: Nat Source #

Methods

hashBlockSize :: SHA384 -> Int Source #

hashDigestSize :: SHA384 -> Int Source #

hashInternalContextSize :: SHA384 -> Int Source #

hashInternalInit :: Ptr (Context SHA384) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA384) -> Ptr (Digest SHA384) -> IO () Source #

HashAlgorithm SHA512 Source # |

Instance details

Defined in Crypto.Hash.SHA512

Associated Types

type HashBlockSize SHA512 :: Nat Source #

type HashDigestSize SHA512 :: Nat Source #

type HashInternalContextSize SHA512 :: Nat Source #

Methods

hashBlockSize :: SHA512 -> Int Source #

hashDigestSize :: SHA512 -> Int Source #

hashInternalContextSize :: SHA512 -> Int Source #

hashInternalInit :: Ptr (Context SHA512) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA512) -> Ptr (Digest SHA512) -> IO () Source #

HashAlgorithm SHA512t_224 Source # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_224 :: Nat Source #

type HashDigestSize SHA512t_224 :: Nat Source #

type HashInternalContextSize SHA512t_224 :: Nat Source #

Methods

hashBlockSize :: SHA512t_224 -> Int Source #

hashDigestSize :: SHA512t_224 -> Int Source #

hashInternalContextSize :: SHA512t_224 -> Int Source #

hashInternalInit :: Ptr (Context SHA512t_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA512t_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA512t_224) -> Ptr (Digest SHA512t_224) -> IO () Source #

HashAlgorithm SHA512t_256 Source # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_256 :: Nat Source #

type HashDigestSize SHA512t_256 :: Nat Source #

type HashInternalContextSize SHA512t_256 :: Nat Source #

Methods

hashBlockSize :: SHA512t_256 -> Int Source #

hashDigestSize :: SHA512t_256 -> Int Source #

hashInternalContextSize :: SHA512t_256 -> Int Source #

hashInternalInit :: Ptr (Context SHA512t_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA512t_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA512t_256) -> Ptr (Digest SHA512t_256) -> IO () Source #

HashAlgorithm Skein256_224 Source # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_224 :: Nat Source #

type HashDigestSize Skein256_224 :: Nat Source #

type HashInternalContextSize Skein256_224 :: Nat Source #

Methods

hashBlockSize :: Skein256_224 -> Int Source #

hashDigestSize :: Skein256_224 -> Int Source #

hashInternalContextSize :: Skein256_224 -> Int Source #

hashInternalInit :: Ptr (Context Skein256_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein256_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein256_224) -> Ptr (Digest Skein256_224) -> IO () Source #

HashAlgorithm Skein256_256 Source # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_256 :: Nat Source #

type HashDigestSize Skein256_256 :: Nat Source #

type HashInternalContextSize Skein256_256 :: Nat Source #

Methods

hashBlockSize :: Skein256_256 -> Int Source #

hashDigestSize :: Skein256_256 -> Int Source #

hashInternalContextSize :: Skein256_256 -> Int Source #

hashInternalInit :: Ptr (Context Skein256_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein256_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein256_256) -> Ptr (Digest Skein256_256) -> IO () Source #

HashAlgorithm Skein512_224 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_224 :: Nat Source #

type HashDigestSize Skein512_224 :: Nat Source #

type HashInternalContextSize Skein512_224 :: Nat Source #

Methods

hashBlockSize :: Skein512_224 -> Int Source #

hashDigestSize :: Skein512_224 -> Int Source #

hashInternalContextSize :: Skein512_224 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_224) -> Ptr (Digest Skein512_224) -> IO () Source #

HashAlgorithm Skein512_256 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_256 :: Nat Source #

type HashDigestSize Skein512_256 :: Nat Source #

type HashInternalContextSize Skein512_256 :: Nat Source #

Methods

hashBlockSize :: Skein512_256 -> Int Source #

hashDigestSize :: Skein512_256 -> Int Source #

hashInternalContextSize :: Skein512_256 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_256) -> Ptr (Digest Skein512_256) -> IO () Source #

HashAlgorithm Skein512_384 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_384 :: Nat Source #

type HashDigestSize Skein512_384 :: Nat Source #

type HashInternalContextSize Skein512_384 :: Nat Source #

Methods

hashBlockSize :: Skein512_384 -> Int Source #

hashDigestSize :: Skein512_384 -> Int Source #

hashInternalContextSize :: Skein512_384 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_384) -> Ptr (Digest Skein512_384) -> IO () Source #

HashAlgorithm Skein512_512 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_512 :: Nat Source #

type HashDigestSize Skein512_512 :: Nat Source #

type HashInternalContextSize Skein512_512 :: Nat Source #

Methods

hashBlockSize :: Skein512_512 -> Int Source #

hashDigestSize :: Skein512_512 -> Int Source #

hashInternalContextSize :: Skein512_512 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_512) -> Ptr (Digest Skein512_512) -> IO () Source #

HashAlgorithm Tiger Source # |

Instance details

Defined in Crypto.Hash.Tiger

Associated Types

type HashBlockSize Tiger :: Nat Source #

type HashDigestSize Tiger :: Nat Source #

type HashInternalContextSize Tiger :: Nat Source #

Methods

hashBlockSize :: Tiger -> Int Source #

hashDigestSize :: Tiger -> Int Source #

hashInternalContextSize :: Tiger -> Int Source #

hashInternalInit :: Ptr (Context Tiger) -> IO () Source #

hashInternalUpdate :: Ptr (Context Tiger) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Tiger) -> Ptr (Digest Tiger) -> IO () Source #

HashAlgorithm Whirlpool Source # |

Instance details

Defined in Crypto.Hash.Whirlpool

Associated Types

type HashBlockSize Whirlpool :: Nat Source #

type HashDigestSize Whirlpool :: Nat Source #

type HashInternalContextSize Whirlpool :: Nat Source #

Methods

hashBlockSize :: Whirlpool -> Int Source #

hashDigestSize :: Whirlpool -> Int Source #

hashInternalContextSize :: Whirlpool -> Int Source #

hashInternalInit :: Ptr (Context Whirlpool) -> IO () Source #

hashInternalUpdate :: Ptr (Context Whirlpool) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Whirlpool) -> Ptr (Digest Whirlpool) -> IO () Source #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2b bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2b bitlen) :: Nat Source #

type HashDigestSize (Blake2b bitlen) :: Nat Source #

type HashInternalContextSize (Blake2b bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2b bitlen -> Int Source #

hashDigestSize :: Blake2b bitlen -> Int Source #

hashInternalContextSize :: Blake2b bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2b bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2b bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2b bitlen)) -> Ptr (Digest (Blake2b bitlen)) -> IO () Source #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2bp bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2bp bitlen) :: Nat Source #

type HashDigestSize (Blake2bp bitlen) :: Nat Source #

type HashInternalContextSize (Blake2bp bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2bp bitlen -> Int Source #

hashDigestSize :: Blake2bp bitlen -> Int Source #

hashInternalContextSize :: Blake2bp bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2bp bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2bp bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2bp bitlen)) -> Ptr (Digest (Blake2bp bitlen)) -> IO () Source #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2s bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2s bitlen) :: Nat Source #

type HashDigestSize (Blake2s bitlen) :: Nat Source #

type HashInternalContextSize (Blake2s bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2s bitlen -> Int Source #

hashDigestSize :: Blake2s bitlen -> Int Source #

hashInternalContextSize :: Blake2s bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2s bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2s bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2s bitlen)) -> Ptr (Digest (Blake2s bitlen)) -> IO () Source #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2sp bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2sp bitlen) :: Nat Source #

type HashDigestSize (Blake2sp bitlen) :: Nat Source #

type HashInternalContextSize (Blake2sp bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2sp bitlen -> Int Source #

hashDigestSize :: Blake2sp bitlen -> Int Source #

hashInternalContextSize :: Blake2sp bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2sp bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2sp bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2sp bitlen)) -> Ptr (Digest (Blake2sp bitlen)) -> IO () Source #

KnownNat bitlen => HashAlgorithm (SHAKE128 bitlen) Source # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE128 bitlen) :: Nat Source #

type HashDigestSize (SHAKE128 bitlen) :: Nat Source #

type HashInternalContextSize (SHAKE128 bitlen) :: Nat Source #

Methods

hashBlockSize :: SHAKE128 bitlen -> Int Source #

hashDigestSize :: SHAKE128 bitlen -> Int Source #

hashInternalContextSize :: SHAKE128 bitlen -> Int Source #

hashInternalInit :: Ptr (Context (SHAKE128 bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (SHAKE128 bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (SHAKE128 bitlen)) -> Ptr (Digest (SHAKE128 bitlen)) -> IO () Source #

KnownNat bitlen => HashAlgorithm (SHAKE256 bitlen) Source # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE256 bitlen) :: Nat Source #

type HashDigestSize (SHAKE256 bitlen) :: Nat Source #

type HashInternalContextSize (SHAKE256 bitlen) :: Nat Source #

Methods

hashBlockSize :: SHAKE256 bitlen -> Int Source #

hashDigestSize :: SHAKE256 bitlen -> Int Source #

hashInternalContextSize :: SHAKE256 bitlen -> Int Source #

hashInternalInit :: Ptr (Context (SHAKE256 bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (SHAKE256 bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (SHAKE256 bitlen)) -> Ptr (Digest (SHAKE256 bitlen)) -> IO () Source #

class HashAlgorithm a => HashAlgorithmPrefix a Source #

Hashing algorithms with a constant-time implementation.

Minimal complete definition

hashInternalFinalizePrefix

#### Instances

Instances details

HashAlgorithmPrefix MD5 Source # |
Instance details Defined in Crypto.Hash.MD5 Methods hashInternalFinalizePrefix :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest MD5) -> IO ()
HashAlgorithmPrefix SHA1 Source # |
Instance details Defined in Crypto.Hash.SHA1 Methods hashInternalFinalizePrefix :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA1) -> IO ()
HashAlgorithmPrefix SHA224 Source # |
Instance details Defined in Crypto.Hash.SHA224 Methods hashInternalFinalizePrefix :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA224) -> IO ()
HashAlgorithmPrefix SHA256 Source # |
Instance details Defined in Crypto.Hash.SHA256 Methods hashInternalFinalizePrefix :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA256) -> IO ()
HashAlgorithmPrefix SHA384 Source # |
Instance details Defined in Crypto.Hash.SHA384 Methods hashInternalFinalizePrefix :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA384) -> IO ()
HashAlgorithmPrefix SHA512 Source # |
Instance details Defined in Crypto.Hash.SHA512 Methods hashInternalFinalizePrefix :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA512) -> IO ()

# Hash algorithms

data Blake2s_160 Source #

Blake2s (160 bits) cryptographic hash algorithm

Constructors

Blake2s_160 |

#### Instances

Instances details

Data Blake2s_160 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s_160 -> c Blake2s_160 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2s_160 Source #

toConstr :: Blake2s_160 -> Constr Source #

dataTypeOf :: Blake2s_160 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2s_160) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2s_160) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2s_160 -> Blake2s_160 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_160 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_160 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s_160 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s_160 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s_160 -> m Blake2s_160 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_160 -> m Blake2s_160 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_160 -> m Blake2s_160 Source #

Show Blake2s_160 Source # |
Instance details Defined in Crypto.Hash.Blake2s Methods showsPrec :: Int -> Blake2s_160 -> ShowS Source # show :: Blake2s_160 -> String Source # showList :: [Blake2s_160] -> ShowS Source #
HashAlgorithm Blake2s_160 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_160 :: Nat Source #

type HashDigestSize Blake2s_160 :: Nat Source #

type HashInternalContextSize Blake2s_160 :: Nat Source #

Methods

hashBlockSize :: Blake2s_160 -> Int Source #

hashDigestSize :: Blake2s_160 -> Int Source #

hashInternalContextSize :: Blake2s_160 -> Int Source #

hashInternalInit :: Ptr (Context Blake2s_160) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2s_160) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2s_160) -> Ptr (Digest Blake2s_160) -> IO () Source #

type HashBlockSize Blake2s_160 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_160 = 64
type HashDigestSize Blake2s_160 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_160 = 20
type HashInternalContextSize Blake2s_160 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_160 = 136

data Blake2s_224 Source #

Blake2s (224 bits) cryptographic hash algorithm

Constructors

Blake2s_224 |

#### Instances

Instances details

Data Blake2s_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s_224 -> c Blake2s_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2s_224 Source #

toConstr :: Blake2s_224 -> Constr Source #

dataTypeOf :: Blake2s_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2s_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2s_224) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2s_224 -> Blake2s_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s_224 -> m Blake2s_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_224 -> m Blake2s_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_224 -> m Blake2s_224 Source #

Show Blake2s_224 Source # |
Instance details Defined in Crypto.Hash.Blake2s Methods showsPrec :: Int -> Blake2s_224 -> ShowS Source # show :: Blake2s_224 -> String Source # showList :: [Blake2s_224] -> ShowS Source #
HashAlgorithm Blake2s_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_224 :: Nat Source #

type HashDigestSize Blake2s_224 :: Nat Source #

type HashInternalContextSize Blake2s_224 :: Nat Source #

Methods

hashBlockSize :: Blake2s_224 -> Int Source #

hashDigestSize :: Blake2s_224 -> Int Source #

hashInternalContextSize :: Blake2s_224 -> Int Source #

hashInternalInit :: Ptr (Context Blake2s_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2s_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2s_224) -> Ptr (Digest Blake2s_224) -> IO () Source #

type HashBlockSize Blake2s_224 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_224 = 64
type HashDigestSize Blake2s_224 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_224 = 28
type HashInternalContextSize Blake2s_224 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_224 = 136

data Blake2s_256 Source #

Blake2s (256 bits) cryptographic hash algorithm

Constructors

Blake2s_256 |

#### Instances

Instances details

Data Blake2s_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s_256 -> c Blake2s_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2s_256 Source #

toConstr :: Blake2s_256 -> Constr Source #

dataTypeOf :: Blake2s_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2s_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2s_256) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2s_256 -> Blake2s_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s_256 -> m Blake2s_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_256 -> m Blake2s_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_256 -> m Blake2s_256 Source #

Show Blake2s_256 Source # |
Instance details Defined in Crypto.Hash.Blake2s Methods showsPrec :: Int -> Blake2s_256 -> ShowS Source # show :: Blake2s_256 -> String Source # showList :: [Blake2s_256] -> ShowS Source #
HashAlgorithm Blake2s_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_256 :: Nat Source #

type HashDigestSize Blake2s_256 :: Nat Source #

type HashInternalContextSize Blake2s_256 :: Nat Source #

Methods

hashBlockSize :: Blake2s_256 -> Int Source #

hashDigestSize :: Blake2s_256 -> Int Source #

hashInternalContextSize :: Blake2s_256 -> Int Source #

hashInternalInit :: Ptr (Context Blake2s_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2s_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2s_256) -> Ptr (Digest Blake2s_256) -> IO () Source #

type HashBlockSize Blake2s_256 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_256 = 64
type HashDigestSize Blake2s_256 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_256 = 32
type HashInternalContextSize Blake2s_256 Source # |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_256 = 136

data Blake2sp_224 Source #

Blake2sp (224 bits) cryptographic hash algorithm

Constructors

Blake2sp_224 |

#### Instances

Instances details

Data Blake2sp_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2sp

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2sp_224 -> c Blake2sp_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2sp_224 Source #

toConstr :: Blake2sp_224 -> Constr Source #

dataTypeOf :: Blake2sp_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2sp_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2sp_224) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2sp_224 -> Blake2sp_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2sp_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2sp_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2sp_224 -> m Blake2sp_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_224 -> m Blake2sp_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_224 -> m Blake2sp_224 Source #

Show Blake2sp_224 Source # |
Instance details Defined in Crypto.Hash.Blake2sp Methods showsPrec :: Int -> Blake2sp_224 -> ShowS Source # show :: Blake2sp_224 -> String Source # showList :: [Blake2sp_224] -> ShowS Source #
HashAlgorithm Blake2sp_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_224 :: Nat Source #

type HashDigestSize Blake2sp_224 :: Nat Source #

type HashInternalContextSize Blake2sp_224 :: Nat Source #

Methods

hashBlockSize :: Blake2sp_224 -> Int Source #

hashDigestSize :: Blake2sp_224 -> Int Source #

hashInternalContextSize :: Blake2sp_224 -> Int Source #

hashInternalInit :: Ptr (Context Blake2sp_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2sp_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2sp_224) -> Ptr (Digest Blake2sp_224) -> IO () Source #

type HashBlockSize Blake2sp_224 Source # |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_224 = 64
type HashDigestSize Blake2sp_224 Source # |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_224 = 28
type HashInternalContextSize Blake2sp_224 Source # |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_224 = 1752

data Blake2sp_256 Source #

Blake2sp (256 bits) cryptographic hash algorithm

Constructors

Blake2sp_256 |

#### Instances

Instances details

Data Blake2sp_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2sp

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2sp_256 -> c Blake2sp_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2sp_256 Source #

toConstr :: Blake2sp_256 -> Constr Source #

dataTypeOf :: Blake2sp_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2sp_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2sp_256) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2sp_256 -> Blake2sp_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2sp_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2sp_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2sp_256 -> m Blake2sp_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_256 -> m Blake2sp_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_256 -> m Blake2sp_256 Source #

Show Blake2sp_256 Source # |
Instance details Defined in Crypto.Hash.Blake2sp Methods showsPrec :: Int -> Blake2sp_256 -> ShowS Source # show :: Blake2sp_256 -> String Source # showList :: [Blake2sp_256] -> ShowS Source #
HashAlgorithm Blake2sp_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_256 :: Nat Source #

type HashDigestSize Blake2sp_256 :: Nat Source #

type HashInternalContextSize Blake2sp_256 :: Nat Source #

Methods

hashBlockSize :: Blake2sp_256 -> Int Source #

hashDigestSize :: Blake2sp_256 -> Int Source #

hashInternalContextSize :: Blake2sp_256 -> Int Source #

hashInternalInit :: Ptr (Context Blake2sp_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2sp_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2sp_256) -> Ptr (Digest Blake2sp_256) -> IO () Source #

type HashBlockSize Blake2sp_256 Source # |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_256 = 64
type HashDigestSize Blake2sp_256 Source # |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_256 = 32
type HashInternalContextSize Blake2sp_256 Source # |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_256 = 1752

data Blake2b_160 Source #

Blake2b (160 bits) cryptographic hash algorithm

Constructors

Blake2b_160 |

#### Instances

Instances details

Data Blake2b_160 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_160 -> c Blake2b_160 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_160 Source #

toConstr :: Blake2b_160 -> Constr Source #

dataTypeOf :: Blake2b_160 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_160) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_160) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_160 -> Blake2b_160 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_160 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_160 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_160 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_160 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_160 -> m Blake2b_160 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_160 -> m Blake2b_160 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_160 -> m Blake2b_160 Source #

Show Blake2b_160 Source # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_160 -> ShowS Source # show :: Blake2b_160 -> String Source # showList :: [Blake2b_160] -> ShowS Source #
HashAlgorithm Blake2b_160 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_160 :: Nat Source #

type HashDigestSize Blake2b_160 :: Nat Source #

type HashInternalContextSize Blake2b_160 :: Nat Source #

Methods

hashBlockSize :: Blake2b_160 -> Int Source #

hashDigestSize :: Blake2b_160 -> Int Source #

hashInternalContextSize :: Blake2b_160 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_160) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_160) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_160) -> Ptr (Digest Blake2b_160) -> IO () Source #

type HashBlockSize Blake2b_160 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_160 = 128
type HashDigestSize Blake2b_160 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_160 = 20
type HashInternalContextSize Blake2b_160 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_160 = 248

data Blake2b_224 Source #

Blake2b (224 bits) cryptographic hash algorithm

Constructors

Blake2b_224 |

#### Instances

Instances details

Data Blake2b_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_224 -> c Blake2b_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_224 Source #

toConstr :: Blake2b_224 -> Constr Source #

dataTypeOf :: Blake2b_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_224) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_224 -> Blake2b_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_224 -> m Blake2b_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_224 -> m Blake2b_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_224 -> m Blake2b_224 Source #

Show Blake2b_224 Source # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_224 -> ShowS Source # show :: Blake2b_224 -> String Source # showList :: [Blake2b_224] -> ShowS Source #
HashAlgorithm Blake2b_224 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_224 :: Nat Source #

type HashDigestSize Blake2b_224 :: Nat Source #

type HashInternalContextSize Blake2b_224 :: Nat Source #

Methods

hashBlockSize :: Blake2b_224 -> Int Source #

hashDigestSize :: Blake2b_224 -> Int Source #

hashInternalContextSize :: Blake2b_224 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_224) -> Ptr (Digest Blake2b_224) -> IO () Source #

type HashBlockSize Blake2b_224 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_224 = 128
type HashDigestSize Blake2b_224 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_224 = 28
type HashInternalContextSize Blake2b_224 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_224 = 248

data Blake2b_256 Source #

Blake2b (256 bits) cryptographic hash algorithm

Constructors

Blake2b_256 |

#### Instances

Instances details

Data Blake2b_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_256 -> c Blake2b_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_256 Source #

toConstr :: Blake2b_256 -> Constr Source #

dataTypeOf :: Blake2b_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_256) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_256 -> Blake2b_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_256 -> m Blake2b_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_256 -> m Blake2b_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_256 -> m Blake2b_256 Source #

Show Blake2b_256 Source # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_256 -> ShowS Source # show :: Blake2b_256 -> String Source # showList :: [Blake2b_256] -> ShowS Source #
HashAlgorithm Blake2b_256 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_256 :: Nat Source #

type HashDigestSize Blake2b_256 :: Nat Source #

type HashInternalContextSize Blake2b_256 :: Nat Source #

Methods

hashBlockSize :: Blake2b_256 -> Int Source #

hashDigestSize :: Blake2b_256 -> Int Source #

hashInternalContextSize :: Blake2b_256 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_256) -> Ptr (Digest Blake2b_256) -> IO () Source #

type HashBlockSize Blake2b_256 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_256 = 128
type HashDigestSize Blake2b_256 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_256 = 32
type HashInternalContextSize Blake2b_256 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_256 = 248

data Blake2b_384 Source #

Blake2b (384 bits) cryptographic hash algorithm

Constructors

Blake2b_384 |

#### Instances

Instances details

Data Blake2b_384 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_384 -> c Blake2b_384 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_384 Source #

toConstr :: Blake2b_384 -> Constr Source #

dataTypeOf :: Blake2b_384 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_384) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_384) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_384 -> Blake2b_384 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_384 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_384 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_384 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_384 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_384 -> m Blake2b_384 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_384 -> m Blake2b_384 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_384 -> m Blake2b_384 Source #

Show Blake2b_384 Source # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_384 -> ShowS Source # show :: Blake2b_384 -> String Source # showList :: [Blake2b_384] -> ShowS Source #
HashAlgorithm Blake2b_384 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_384 :: Nat Source #

type HashDigestSize Blake2b_384 :: Nat Source #

type HashInternalContextSize Blake2b_384 :: Nat Source #

Methods

hashBlockSize :: Blake2b_384 -> Int Source #

hashDigestSize :: Blake2b_384 -> Int Source #

hashInternalContextSize :: Blake2b_384 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_384) -> Ptr (Digest Blake2b_384) -> IO () Source #

type HashBlockSize Blake2b_384 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_384 = 128
type HashDigestSize Blake2b_384 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_384 = 48
type HashInternalContextSize Blake2b_384 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_384 = 248

data Blake2b_512 Source #

Blake2b (512 bits) cryptographic hash algorithm

Constructors

Blake2b_512 |

#### Instances

Instances details

Data Blake2b_512 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_512 -> c Blake2b_512 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_512 Source #

toConstr :: Blake2b_512 -> Constr Source #

dataTypeOf :: Blake2b_512 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_512) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_512) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_512 -> Blake2b_512 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_512 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_512 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_512 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_512 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_512 -> m Blake2b_512 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_512 -> m Blake2b_512 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_512 -> m Blake2b_512 Source #

Show Blake2b_512 Source # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_512 -> ShowS Source # show :: Blake2b_512 -> String Source # showList :: [Blake2b_512] -> ShowS Source #
HashAlgorithm Blake2b_512 Source # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_512 :: Nat Source #

type HashDigestSize Blake2b_512 :: Nat Source #

type HashInternalContextSize Blake2b_512 :: Nat Source #

Methods

hashBlockSize :: Blake2b_512 -> Int Source #

hashDigestSize :: Blake2b_512 -> Int Source #

hashInternalContextSize :: Blake2b_512 -> Int Source #

hashInternalInit :: Ptr (Context Blake2b_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2b_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2b_512) -> Ptr (Digest Blake2b_512) -> IO () Source #

type HashBlockSize Blake2b_512 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_512 = 128
type HashDigestSize Blake2b_512 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_512 = 64
type HashInternalContextSize Blake2b_512 Source # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_512 = 248

data Blake2bp_512 Source #

Blake2bp (512 bits) cryptographic hash algorithm

Constructors

Blake2bp_512 |

#### Instances

Instances details

Data Blake2bp_512 Source # |

Instance details

Defined in Crypto.Hash.Blake2bp

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2bp_512 -> c Blake2bp_512 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2bp_512 Source #

toConstr :: Blake2bp_512 -> Constr Source #

dataTypeOf :: Blake2bp_512 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2bp_512) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2bp_512) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2bp_512 -> Blake2bp_512 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp_512 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp_512 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2bp_512 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2bp_512 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2bp_512 -> m Blake2bp_512 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp_512 -> m Blake2bp_512 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp_512 -> m Blake2bp_512 Source #

Show Blake2bp_512 Source # |
Instance details Defined in Crypto.Hash.Blake2bp Methods showsPrec :: Int -> Blake2bp_512 -> ShowS Source # show :: Blake2bp_512 -> String Source # showList :: [Blake2bp_512] -> ShowS Source #
HashAlgorithm Blake2bp_512 Source # |

Instance details

Defined in Crypto.Hash.Blake2bp

Associated Types

type HashBlockSize Blake2bp_512 :: Nat Source #

type HashDigestSize Blake2bp_512 :: Nat Source #

type HashInternalContextSize Blake2bp_512 :: Nat Source #

Methods

hashBlockSize :: Blake2bp_512 -> Int Source #

hashDigestSize :: Blake2bp_512 -> Int Source #

hashInternalContextSize :: Blake2bp_512 -> Int Source #

hashInternalInit :: Ptr (Context Blake2bp_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Blake2bp_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Blake2bp_512) -> Ptr (Digest Blake2bp_512) -> IO () Source #

type HashBlockSize Blake2bp_512 Source # |
Instance details Defined in Crypto.Hash.Blake2bp type HashBlockSize Blake2bp_512 = 128
type HashDigestSize Blake2bp_512 Source # |
Instance details Defined in Crypto.Hash.Blake2bp type HashDigestSize Blake2bp_512 = 64
type HashInternalContextSize Blake2bp_512 Source # |
Instance details Defined in Crypto.Hash.Blake2bp type HashInternalContextSize Blake2bp_512 = 1768

data MD2 Source #

MD2 cryptographic hash algorithm

Constructors

MD2 |

#### Instances

Instances details

Data MD2 Source # |

Instance details

Defined in Crypto.Hash.MD2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> MD2 -> c MD2 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c MD2 Source #

toConstr :: MD2 -> Constr Source #

dataTypeOf :: MD2 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c MD2) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c MD2) Source #

gmapT :: (forall b. Data b => b -> b) -> MD2 -> MD2 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> MD2 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> MD2 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> MD2 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> MD2 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> MD2 -> m MD2 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> MD2 -> m MD2 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> MD2 -> m MD2 Source #

Show MD2 Source # |
Instance details Defined in Crypto.Hash.MD2 Methods showsPrec :: Int -> MD2 -> ShowS Source # show :: MD2 -> String Source # showList :: [MD2] -> ShowS Source #
HashAlgorithm MD2 Source # |

Instance details

Defined in Crypto.Hash.MD2

Associated Types

type HashBlockSize MD2 :: Nat Source #

type HashDigestSize MD2 :: Nat Source #

type HashInternalContextSize MD2 :: Nat Source #

Methods

hashBlockSize :: MD2 -> Int Source #

hashDigestSize :: MD2 -> Int Source #

hashInternalContextSize :: MD2 -> Int Source #

hashInternalInit :: Ptr (Context MD2) -> IO () Source #

hashInternalUpdate :: Ptr (Context MD2) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context MD2) -> Ptr (Digest MD2) -> IO () Source #

HashAlgorithmASN1 MD2 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest MD2 -> out
type HashBlockSize MD2 Source # |
Instance details Defined in Crypto.Hash.MD2 type HashBlockSize MD2 = 16
type HashDigestSize MD2 Source # |
Instance details Defined in Crypto.Hash.MD2 type HashDigestSize MD2 = 16
type HashInternalContextSize MD2 Source # |
Instance details Defined in Crypto.Hash.MD2 type HashInternalContextSize MD2 = 96

data MD4 Source #

MD4 cryptographic hash algorithm

Constructors

MD4 |

#### Instances

Instances details

Data MD4 Source # |

Instance details

Defined in Crypto.Hash.MD4

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> MD4 -> c MD4 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c MD4 Source #

toConstr :: MD4 -> Constr Source #

dataTypeOf :: MD4 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c MD4) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c MD4) Source #

gmapT :: (forall b. Data b => b -> b) -> MD4 -> MD4 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> MD4 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> MD4 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> MD4 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> MD4 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> MD4 -> m MD4 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> MD4 -> m MD4 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> MD4 -> m MD4 Source #

Show MD4 Source # |
Instance details Defined in Crypto.Hash.MD4 Methods showsPrec :: Int -> MD4 -> ShowS Source # show :: MD4 -> String Source # showList :: [MD4] -> ShowS Source #
HashAlgorithm MD4 Source # |

Instance details

Defined in Crypto.Hash.MD4

Associated Types

type HashBlockSize MD4 :: Nat Source #

type HashDigestSize MD4 :: Nat Source #

type HashInternalContextSize MD4 :: Nat Source #

Methods

hashBlockSize :: MD4 -> Int Source #

hashDigestSize :: MD4 -> Int Source #

hashInternalContextSize :: MD4 -> Int Source #

hashInternalInit :: Ptr (Context MD4) -> IO () Source #

hashInternalUpdate :: Ptr (Context MD4) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context MD4) -> Ptr (Digest MD4) -> IO () Source #

type HashBlockSize MD4 Source # |
Instance details Defined in Crypto.Hash.MD4 type HashBlockSize MD4 = 64
type HashDigestSize MD4 Source # |
Instance details Defined in Crypto.Hash.MD4 type HashDigestSize MD4 = 16
type HashInternalContextSize MD4 Source # |
Instance details Defined in Crypto.Hash.MD4 type HashInternalContextSize MD4 = 96

data MD5 Source #

MD5 cryptographic hash algorithm

Constructors

MD5 |

#### Instances

Instances details

Data MD5 Source # |

Instance details

Defined in Crypto.Hash.MD5

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> MD5 -> c MD5 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c MD5 Source #

toConstr :: MD5 -> Constr Source #

dataTypeOf :: MD5 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c MD5) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c MD5) Source #

gmapT :: (forall b. Data b => b -> b) -> MD5 -> MD5 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> MD5 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> MD5 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> MD5 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> MD5 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> MD5 -> m MD5 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> MD5 -> m MD5 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> MD5 -> m MD5 Source #

Show MD5 Source # |
Instance details Defined in Crypto.Hash.MD5 Methods showsPrec :: Int -> MD5 -> ShowS Source # show :: MD5 -> String Source # showList :: [MD5] -> ShowS Source #
HashAlgorithm MD5 Source # |

Instance details

Defined in Crypto.Hash.MD5

Associated Types

type HashBlockSize MD5 :: Nat Source #

type HashDigestSize MD5 :: Nat Source #

type HashInternalContextSize MD5 :: Nat Source #

Methods

hashBlockSize :: MD5 -> Int Source #

hashDigestSize :: MD5 -> Int Source #

hashInternalContextSize :: MD5 -> Int Source #

hashInternalInit :: Ptr (Context MD5) -> IO () Source #

hashInternalUpdate :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context MD5) -> Ptr (Digest MD5) -> IO () Source #

HashAlgorithmPrefix MD5 Source # |
Instance details Defined in Crypto.Hash.MD5 Methods hashInternalFinalizePrefix :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest MD5) -> IO ()
HashAlgorithmASN1 MD5 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest MD5 -> out
type HashBlockSize MD5 Source # |
Instance details Defined in Crypto.Hash.MD5 type HashBlockSize MD5 = 64
type HashDigestSize MD5 Source # |
Instance details Defined in Crypto.Hash.MD5 type HashDigestSize MD5 = 16
type HashInternalContextSize MD5 Source # |
Instance details Defined in Crypto.Hash.MD5 type HashInternalContextSize MD5 = 96

data SHA1 Source #

SHA1 cryptographic hash algorithm

Constructors

SHA1 |

#### Instances

Instances details

Data SHA1 Source # |

Instance details

Defined in Crypto.Hash.SHA1

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA1 -> c SHA1 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA1 Source #

toConstr :: SHA1 -> Constr Source #

dataTypeOf :: SHA1 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA1) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA1) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA1 -> SHA1 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA1 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA1 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA1 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA1 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA1 -> m SHA1 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA1 -> m SHA1 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA1 -> m SHA1 Source #

Show SHA1 Source # |
Instance details Defined in Crypto.Hash.SHA1 Methods showsPrec :: Int -> SHA1 -> ShowS Source # show :: SHA1 -> String Source # showList :: [SHA1] -> ShowS Source #
HashAlgorithm SHA1 Source # |

Instance details

Defined in Crypto.Hash.SHA1

Associated Types

type HashBlockSize SHA1 :: Nat Source #

type HashDigestSize SHA1 :: Nat Source #

type HashInternalContextSize SHA1 :: Nat Source #

Methods

hashBlockSize :: SHA1 -> Int Source #

hashDigestSize :: SHA1 -> Int Source #

hashInternalContextSize :: SHA1 -> Int Source #

hashInternalInit :: Ptr (Context SHA1) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA1) -> Ptr (Digest SHA1) -> IO () Source #

HashAlgorithmPrefix SHA1 Source # |
Instance details Defined in Crypto.Hash.SHA1 Methods hashInternalFinalizePrefix :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA1) -> IO ()
HashAlgorithmASN1 SHA1 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA1 -> out
type HashBlockSize SHA1 Source # |
Instance details Defined in Crypto.Hash.SHA1 type HashBlockSize SHA1 = 64
type HashDigestSize SHA1 Source # |
Instance details Defined in Crypto.Hash.SHA1 type HashDigestSize SHA1 = 20
type HashInternalContextSize SHA1 Source # |
Instance details Defined in Crypto.Hash.SHA1 type HashInternalContextSize SHA1 = 96

data SHA224 Source #

SHA224 cryptographic hash algorithm

Constructors

SHA224 |

#### Instances

Instances details

Data SHA224 Source # |

Instance details

Defined in Crypto.Hash.SHA224

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA224 -> c SHA224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA224 Source #

toConstr :: SHA224 -> Constr Source #

dataTypeOf :: SHA224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA224) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA224 -> SHA224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA224 -> m SHA224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA224 -> m SHA224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA224 -> m SHA224 Source #

Show SHA224 Source # |
Instance details Defined in Crypto.Hash.SHA224 Methods showsPrec :: Int -> SHA224 -> ShowS Source # show :: SHA224 -> String Source # showList :: [SHA224] -> ShowS Source #
HashAlgorithm SHA224 Source # |

Instance details

Defined in Crypto.Hash.SHA224

Associated Types

type HashBlockSize SHA224 :: Nat Source #

type HashDigestSize SHA224 :: Nat Source #

type HashInternalContextSize SHA224 :: Nat Source #

Methods

hashBlockSize :: SHA224 -> Int Source #

hashDigestSize :: SHA224 -> Int Source #

hashInternalContextSize :: SHA224 -> Int Source #

hashInternalInit :: Ptr (Context SHA224) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA224) -> Ptr (Digest SHA224) -> IO () Source #

HashAlgorithmPrefix SHA224 Source # |
Instance details Defined in Crypto.Hash.SHA224 Methods hashInternalFinalizePrefix :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA224) -> IO ()
HashAlgorithmASN1 SHA224 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA224 -> out
type HashBlockSize SHA224 Source # |
Instance details Defined in Crypto.Hash.SHA224 type HashBlockSize SHA224 = 64
type HashDigestSize SHA224 Source # |
Instance details Defined in Crypto.Hash.SHA224 type HashDigestSize SHA224 = 28
type HashInternalContextSize SHA224 Source # |
Instance details Defined in Crypto.Hash.SHA224 type HashInternalContextSize SHA224 = 192

data SHA256 Source #

SHA256 cryptographic hash algorithm

Constructors

SHA256 |

#### Instances

Instances details

Data SHA256 Source # |

Instance details

Defined in Crypto.Hash.SHA256

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA256 -> c SHA256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA256 Source #

toConstr :: SHA256 -> Constr Source #

dataTypeOf :: SHA256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA256) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA256 -> SHA256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA256 -> m SHA256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA256 -> m SHA256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA256 -> m SHA256 Source #

Show SHA256 Source # |
Instance details Defined in Crypto.Hash.SHA256 Methods showsPrec :: Int -> SHA256 -> ShowS Source # show :: SHA256 -> String Source # showList :: [SHA256] -> ShowS Source #
HashAlgorithm SHA256 Source # |

Instance details

Defined in Crypto.Hash.SHA256

Associated Types

type HashBlockSize SHA256 :: Nat Source #

type HashDigestSize SHA256 :: Nat Source #

type HashInternalContextSize SHA256 :: Nat Source #

Methods

hashBlockSize :: SHA256 -> Int Source #

hashDigestSize :: SHA256 -> Int Source #

hashInternalContextSize :: SHA256 -> Int Source #

hashInternalInit :: Ptr (Context SHA256) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA256) -> Ptr (Digest SHA256) -> IO () Source #

HashAlgorithmPrefix SHA256 Source # |
Instance details Defined in Crypto.Hash.SHA256 Methods hashInternalFinalizePrefix :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA256) -> IO ()
HashAlgorithmASN1 SHA256 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA256 -> out
type HashBlockSize SHA256 Source # |
Instance details Defined in Crypto.Hash.SHA256 type HashBlockSize SHA256 = 64
type HashDigestSize SHA256 Source # |
Instance details Defined in Crypto.Hash.SHA256 type HashDigestSize SHA256 = 32
type HashInternalContextSize SHA256 Source # |
Instance details Defined in Crypto.Hash.SHA256 type HashInternalContextSize SHA256 = 192

data SHA384 Source #

SHA384 cryptographic hash algorithm

Constructors

SHA384 |

#### Instances

Instances details

Data SHA384 Source # |

Instance details

Defined in Crypto.Hash.SHA384

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA384 -> c SHA384 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA384 Source #

toConstr :: SHA384 -> Constr Source #

dataTypeOf :: SHA384 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA384) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA384) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA384 -> SHA384 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA384 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA384 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA384 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA384 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA384 -> m SHA384 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA384 -> m SHA384 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA384 -> m SHA384 Source #

Show SHA384 Source # |
Instance details Defined in Crypto.Hash.SHA384 Methods showsPrec :: Int -> SHA384 -> ShowS Source # show :: SHA384 -> String Source # showList :: [SHA384] -> ShowS Source #
HashAlgorithm SHA384 Source # |

Instance details

Defined in Crypto.Hash.SHA384

Associated Types

type HashBlockSize SHA384 :: Nat Source #

type HashDigestSize SHA384 :: Nat Source #

type HashInternalContextSize SHA384 :: Nat Source #

Methods

hashBlockSize :: SHA384 -> Int Source #

hashDigestSize :: SHA384 -> Int Source #

hashInternalContextSize :: SHA384 -> Int Source #

hashInternalInit :: Ptr (Context SHA384) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA384) -> Ptr (Digest SHA384) -> IO () Source #

HashAlgorithmPrefix SHA384 Source # |
Instance details Defined in Crypto.Hash.SHA384 Methods hashInternalFinalizePrefix :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA384) -> IO ()
HashAlgorithmASN1 SHA384 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA384 -> out
type HashBlockSize SHA384 Source # |
Instance details Defined in Crypto.Hash.SHA384 type HashBlockSize SHA384 = 128
type HashDigestSize SHA384 Source # |
Instance details Defined in Crypto.Hash.SHA384 type HashDigestSize SHA384 = 48
type HashInternalContextSize SHA384 Source # |
Instance details Defined in Crypto.Hash.SHA384 type HashInternalContextSize SHA384 = 256

data SHA512 Source #

SHA512 cryptographic hash algorithm

Constructors

SHA512 |

#### Instances

Instances details

Data SHA512 Source # |

Instance details

Defined in Crypto.Hash.SHA512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA512 -> c SHA512 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA512 Source #

toConstr :: SHA512 -> Constr Source #

dataTypeOf :: SHA512 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA512) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA512) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA512 -> SHA512 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA512 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA512 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA512 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA512 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA512 -> m SHA512 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512 -> m SHA512 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512 -> m SHA512 Source #

Show SHA512 Source # |
Instance details Defined in Crypto.Hash.SHA512 Methods showsPrec :: Int -> SHA512 -> ShowS Source # show :: SHA512 -> String Source # showList :: [SHA512] -> ShowS Source #
HashAlgorithm SHA512 Source # |

Instance details

Defined in Crypto.Hash.SHA512

Associated Types

type HashBlockSize SHA512 :: Nat Source #

type HashDigestSize SHA512 :: Nat Source #

type HashInternalContextSize SHA512 :: Nat Source #

Methods

hashBlockSize :: SHA512 -> Int Source #

hashDigestSize :: SHA512 -> Int Source #

hashInternalContextSize :: SHA512 -> Int Source #

hashInternalInit :: Ptr (Context SHA512) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA512) -> Ptr (Digest SHA512) -> IO () Source #

HashAlgorithmPrefix SHA512 Source # |
Instance details Defined in Crypto.Hash.SHA512 Methods hashInternalFinalizePrefix :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA512) -> IO ()
HashAlgorithmASN1 SHA512 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA512 -> out
type HashBlockSize SHA512 Source # |
Instance details Defined in Crypto.Hash.SHA512 type HashBlockSize SHA512 = 128
type HashDigestSize SHA512 Source # |
Instance details Defined in Crypto.Hash.SHA512 type HashDigestSize SHA512 = 64
type HashInternalContextSize SHA512 Source # |
Instance details Defined in Crypto.Hash.SHA512 type HashInternalContextSize SHA512 = 256

data SHA512t_224 Source #

SHA512t (224 bits) cryptographic hash algorithm

Constructors

SHA512t_224 |

#### Instances

Instances details

Data SHA512t_224 Source # |

Instance details

Defined in Crypto.Hash.SHA512t

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA512t_224 -> c SHA512t_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA512t_224 Source #

toConstr :: SHA512t_224 -> Constr Source #

dataTypeOf :: SHA512t_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA512t_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA512t_224) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA512t_224 -> SHA512t_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA512t_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA512t_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA512t_224 -> m SHA512t_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_224 -> m SHA512t_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_224 -> m SHA512t_224 Source #

Show SHA512t_224 Source # |
Instance details Defined in Crypto.Hash.SHA512t Methods showsPrec :: Int -> SHA512t_224 -> ShowS Source # show :: SHA512t_224 -> String Source # showList :: [SHA512t_224] -> ShowS Source #
HashAlgorithm SHA512t_224 Source # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_224 :: Nat Source #

type HashDigestSize SHA512t_224 :: Nat Source #

type HashInternalContextSize SHA512t_224 :: Nat Source #

Methods

hashBlockSize :: SHA512t_224 -> Int Source #

hashDigestSize :: SHA512t_224 -> Int Source #

hashInternalContextSize :: SHA512t_224 -> Int Source #

hashInternalInit :: Ptr (Context SHA512t_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA512t_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA512t_224) -> Ptr (Digest SHA512t_224) -> IO () Source #

HashAlgorithmASN1 SHA512t_224 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA512t_224 -> out
type HashBlockSize SHA512t_224 Source # |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_224 = 128
type HashDigestSize SHA512t_224 Source # |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_224 = 28
type HashInternalContextSize SHA512t_224 Source # |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_224 = 256

data SHA512t_256 Source #

SHA512t (256 bits) cryptographic hash algorithm

Constructors

SHA512t_256 |

#### Instances

Instances details

Data SHA512t_256 Source # |

Instance details

Defined in Crypto.Hash.SHA512t

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA512t_256 -> c SHA512t_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA512t_256 Source #

toConstr :: SHA512t_256 -> Constr Source #

dataTypeOf :: SHA512t_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA512t_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA512t_256) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA512t_256 -> SHA512t_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA512t_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA512t_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA512t_256 -> m SHA512t_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_256 -> m SHA512t_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_256 -> m SHA512t_256 Source #

Show SHA512t_256 Source # |
Instance details Defined in Crypto.Hash.SHA512t Methods showsPrec :: Int -> SHA512t_256 -> ShowS Source # show :: SHA512t_256 -> String Source # showList :: [SHA512t_256] -> ShowS Source #
HashAlgorithm SHA512t_256 Source # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_256 :: Nat Source #

type HashDigestSize SHA512t_256 :: Nat Source #

type HashInternalContextSize SHA512t_256 :: Nat Source #

Methods

hashBlockSize :: SHA512t_256 -> Int Source #

hashDigestSize :: SHA512t_256 -> Int Source #

hashInternalContextSize :: SHA512t_256 -> Int Source #

hashInternalInit :: Ptr (Context SHA512t_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA512t_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA512t_256) -> Ptr (Digest SHA512t_256) -> IO () Source #

HashAlgorithmASN1 SHA512t_256 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA512t_256 -> out
type HashBlockSize SHA512t_256 Source # |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_256 = 128
type HashDigestSize SHA512t_256 Source # |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_256 = 32
type HashInternalContextSize SHA512t_256 Source # |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_256 = 256

data RIPEMD160 Source #

RIPEMD160 cryptographic hash algorithm

Constructors

RIPEMD160 |

#### Instances

Instances details

Data RIPEMD160 Source # |

Instance details

Defined in Crypto.Hash.RIPEMD160

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> RIPEMD160 -> c RIPEMD160 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c RIPEMD160 Source #

toConstr :: RIPEMD160 -> Constr Source #

dataTypeOf :: RIPEMD160 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c RIPEMD160) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c RIPEMD160) Source #

gmapT :: (forall b. Data b => b -> b) -> RIPEMD160 -> RIPEMD160 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> RIPEMD160 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> RIPEMD160 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> RIPEMD160 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> RIPEMD160 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> RIPEMD160 -> m RIPEMD160 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> RIPEMD160 -> m RIPEMD160 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> RIPEMD160 -> m RIPEMD160 Source #

Show RIPEMD160 Source # |
Instance details Defined in Crypto.Hash.RIPEMD160 Methods showsPrec :: Int -> RIPEMD160 -> ShowS Source # show :: RIPEMD160 -> String Source # showList :: [RIPEMD160] -> ShowS Source #
HashAlgorithm RIPEMD160 Source # |

Instance details

Defined in Crypto.Hash.RIPEMD160

Associated Types

type HashBlockSize RIPEMD160 :: Nat Source #

type HashDigestSize RIPEMD160 :: Nat Source #

type HashInternalContextSize RIPEMD160 :: Nat Source #

Methods

hashBlockSize :: RIPEMD160 -> Int Source #

hashDigestSize :: RIPEMD160 -> Int Source #

hashInternalContextSize :: RIPEMD160 -> Int Source #

hashInternalInit :: Ptr (Context RIPEMD160) -> IO () Source #

hashInternalUpdate :: Ptr (Context RIPEMD160) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context RIPEMD160) -> Ptr (Digest RIPEMD160) -> IO () Source #

HashAlgorithmASN1 RIPEMD160 Source # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest RIPEMD160 -> out
type HashBlockSize RIPEMD160 Source # |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashBlockSize RIPEMD160 = 64
type HashDigestSize RIPEMD160 Source # |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashDigestSize RIPEMD160 = 20
type HashInternalContextSize RIPEMD160 Source # |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashInternalContextSize RIPEMD160 = 128

data Tiger Source #

Tiger cryptographic hash algorithm

Constructors

Tiger |

#### Instances

Instances details

Data Tiger Source # |

Instance details

Defined in Crypto.Hash.Tiger

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Tiger -> c Tiger Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Tiger Source #

toConstr :: Tiger -> Constr Source #

dataTypeOf :: Tiger -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Tiger) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Tiger) Source #

gmapT :: (forall b. Data b => b -> b) -> Tiger -> Tiger Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Tiger -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Tiger -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Tiger -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Tiger -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Tiger -> m Tiger Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Tiger -> m Tiger Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Tiger -> m Tiger Source #

Show Tiger Source # |
Instance details Defined in Crypto.Hash.Tiger Methods showsPrec :: Int -> Tiger -> ShowS Source # show :: Tiger -> String Source # showList :: [Tiger] -> ShowS Source #
HashAlgorithm Tiger Source # |

Instance details

Defined in Crypto.Hash.Tiger

Associated Types

type HashBlockSize Tiger :: Nat Source #

type HashDigestSize Tiger :: Nat Source #

type HashInternalContextSize Tiger :: Nat Source #

Methods

hashBlockSize :: Tiger -> Int Source #

hashDigestSize :: Tiger -> Int Source #

hashInternalContextSize :: Tiger -> Int Source #

hashInternalInit :: Ptr (Context Tiger) -> IO () Source #

hashInternalUpdate :: Ptr (Context Tiger) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Tiger) -> Ptr (Digest Tiger) -> IO () Source #

type HashBlockSize Tiger Source # |
Instance details Defined in Crypto.Hash.Tiger type HashBlockSize Tiger = 64
type HashDigestSize Tiger Source # |
Instance details Defined in Crypto.Hash.Tiger type HashDigestSize Tiger = 24
type HashInternalContextSize Tiger Source # |
Instance details Defined in Crypto.Hash.Tiger type HashInternalContextSize Tiger = 96

data Keccak_224 Source #

Keccak (224 bits) cryptographic hash algorithm

Constructors

Keccak_224 |

#### Instances

Instances details

Data Keccak_224 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_224 -> c Keccak_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_224 Source #

toConstr :: Keccak_224 -> Constr Source #

dataTypeOf :: Keccak_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_224) Source #

gmapT :: (forall b. Data b => b -> b) -> Keccak_224 -> Keccak_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_224 -> m Keccak_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_224 -> m Keccak_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_224 -> m Keccak_224 Source #

Show Keccak_224 Source # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_224 -> ShowS Source # show :: Keccak_224 -> String Source # showList :: [Keccak_224] -> ShowS Source #
HashAlgorithm Keccak_224 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_224 :: Nat Source #

type HashDigestSize Keccak_224 :: Nat Source #

type HashInternalContextSize Keccak_224 :: Nat Source #

Methods

hashBlockSize :: Keccak_224 -> Int Source #

hashDigestSize :: Keccak_224 -> Int Source #

hashInternalContextSize :: Keccak_224 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_224) -> Ptr (Digest Keccak_224) -> IO () Source #

type HashBlockSize Keccak_224 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_224 = 144
type HashDigestSize Keccak_224 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_224 = 28
type HashInternalContextSize Keccak_224 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_224 = 352

data Keccak_256 Source #

Keccak (256 bits) cryptographic hash algorithm

Constructors

Keccak_256 |

#### Instances

Instances details

Data Keccak_256 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_256 -> c Keccak_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_256 Source #

toConstr :: Keccak_256 -> Constr Source #

dataTypeOf :: Keccak_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_256) Source #

gmapT :: (forall b. Data b => b -> b) -> Keccak_256 -> Keccak_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_256 -> m Keccak_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_256 -> m Keccak_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_256 -> m Keccak_256 Source #

Show Keccak_256 Source # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_256 -> ShowS Source # show :: Keccak_256 -> String Source # showList :: [Keccak_256] -> ShowS Source #
HashAlgorithm Keccak_256 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_256 :: Nat Source #

type HashDigestSize Keccak_256 :: Nat Source #

type HashInternalContextSize Keccak_256 :: Nat Source #

Methods

hashBlockSize :: Keccak_256 -> Int Source #

hashDigestSize :: Keccak_256 -> Int Source #

hashInternalContextSize :: Keccak_256 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_256) -> Ptr (Digest Keccak_256) -> IO () Source #

type HashBlockSize Keccak_256 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_256 = 136
type HashDigestSize Keccak_256 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_256 = 32
type HashInternalContextSize Keccak_256 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_256 = 344

data Keccak_384 Source #

Keccak (384 bits) cryptographic hash algorithm

Constructors

Keccak_384 |

#### Instances

Instances details

Data Keccak_384 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_384 -> c Keccak_384 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_384 Source #

toConstr :: Keccak_384 -> Constr Source #

dataTypeOf :: Keccak_384 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_384) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_384) Source #

gmapT :: (forall b. Data b => b -> b) -> Keccak_384 -> Keccak_384 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_384 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_384 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_384 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_384 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_384 -> m Keccak_384 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_384 -> m Keccak_384 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_384 -> m Keccak_384 Source #

Show Keccak_384 Source # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_384 -> ShowS Source # show :: Keccak_384 -> String Source # showList :: [Keccak_384] -> ShowS Source #
HashAlgorithm Keccak_384 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_384 :: Nat Source #

type HashDigestSize Keccak_384 :: Nat Source #

type HashInternalContextSize Keccak_384 :: Nat Source #

Methods

hashBlockSize :: Keccak_384 -> Int Source #

hashDigestSize :: Keccak_384 -> Int Source #

hashInternalContextSize :: Keccak_384 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_384) -> Ptr (Digest Keccak_384) -> IO () Source #

type HashBlockSize Keccak_384 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_384 = 104
type HashDigestSize Keccak_384 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_384 = 48
type HashInternalContextSize Keccak_384 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_384 = 312

data Keccak_512 Source #

Keccak (512 bits) cryptographic hash algorithm

Constructors

Keccak_512 |

#### Instances

Instances details

Data Keccak_512 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_512 -> c Keccak_512 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_512 Source #

toConstr :: Keccak_512 -> Constr Source #

dataTypeOf :: Keccak_512 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_512) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_512) Source #

gmapT :: (forall b. Data b => b -> b) -> Keccak_512 -> Keccak_512 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_512 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_512 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_512 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_512 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_512 -> m Keccak_512 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_512 -> m Keccak_512 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_512 -> m Keccak_512 Source #

Show Keccak_512 Source # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_512 -> ShowS Source # show :: Keccak_512 -> String Source # showList :: [Keccak_512] -> ShowS Source #
HashAlgorithm Keccak_512 Source # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_512 :: Nat Source #

type HashDigestSize Keccak_512 :: Nat Source #

type HashInternalContextSize Keccak_512 :: Nat Source #

Methods

hashBlockSize :: Keccak_512 -> Int Source #

hashDigestSize :: Keccak_512 -> Int Source #

hashInternalContextSize :: Keccak_512 -> Int Source #

hashInternalInit :: Ptr (Context Keccak_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Keccak_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Keccak_512) -> Ptr (Digest Keccak_512) -> IO () Source #

type HashBlockSize Keccak_512 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_512 = 72
type HashDigestSize Keccak_512 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_512 = 64
type HashInternalContextSize Keccak_512 Source # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_512 = 280

data SHA3_224 Source #

SHA3 (224 bits) cryptographic hash algorithm

Constructors

SHA3_224 |

#### Instances

Instances details

Data SHA3_224 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_224 -> c SHA3_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_224 Source #

toConstr :: SHA3_224 -> Constr Source #

dataTypeOf :: SHA3_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_224) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA3_224 -> SHA3_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_224 -> m SHA3_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_224 -> m SHA3_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_224 -> m SHA3_224 Source #

Show SHA3_224 Source # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_224 -> ShowS Source # show :: SHA3_224 -> String Source # showList :: [SHA3_224] -> ShowS Source #
HashAlgorithm SHA3_224 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_224 :: Nat Source #

type HashDigestSize SHA3_224 :: Nat Source #

type HashInternalContextSize SHA3_224 :: Nat Source #

Methods

hashBlockSize :: SHA3_224 -> Int Source #

hashDigestSize :: SHA3_224 -> Int Source #

hashInternalContextSize :: SHA3_224 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_224) -> Ptr (Digest SHA3_224) -> IO () Source #

type HashBlockSize SHA3_224 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_224 = 144
type HashDigestSize SHA3_224 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_224 = 28
type HashInternalContextSize SHA3_224 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_224 = 352

data SHA3_256 Source #

SHA3 (256 bits) cryptographic hash algorithm

Constructors

SHA3_256 |

#### Instances

Instances details

Data SHA3_256 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_256 -> c SHA3_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_256 Source #

toConstr :: SHA3_256 -> Constr Source #

dataTypeOf :: SHA3_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_256) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA3_256 -> SHA3_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_256 -> m SHA3_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_256 -> m SHA3_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_256 -> m SHA3_256 Source #

Show SHA3_256 Source # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_256 -> ShowS Source # show :: SHA3_256 -> String Source # showList :: [SHA3_256] -> ShowS Source #
HashAlgorithm SHA3_256 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_256 :: Nat Source #

type HashDigestSize SHA3_256 :: Nat Source #

type HashInternalContextSize SHA3_256 :: Nat Source #

Methods

hashBlockSize :: SHA3_256 -> Int Source #

hashDigestSize :: SHA3_256 -> Int Source #

hashInternalContextSize :: SHA3_256 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_256) -> Ptr (Digest SHA3_256) -> IO () Source #

type HashBlockSize SHA3_256 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_256 = 136
type HashDigestSize SHA3_256 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_256 = 32
type HashInternalContextSize SHA3_256 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_256 = 344

data SHA3_384 Source #

SHA3 (384 bits) cryptographic hash algorithm

Constructors

SHA3_384 |

#### Instances

Instances details

Data SHA3_384 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_384 -> c SHA3_384 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_384 Source #

toConstr :: SHA3_384 -> Constr Source #

dataTypeOf :: SHA3_384 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_384) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_384) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA3_384 -> SHA3_384 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_384 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_384 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_384 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_384 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_384 -> m SHA3_384 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_384 -> m SHA3_384 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_384 -> m SHA3_384 Source #

Show SHA3_384 Source # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_384 -> ShowS Source # show :: SHA3_384 -> String Source # showList :: [SHA3_384] -> ShowS Source #
HashAlgorithm SHA3_384 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_384 :: Nat Source #

type HashDigestSize SHA3_384 :: Nat Source #

type HashInternalContextSize SHA3_384 :: Nat Source #

Methods

hashBlockSize :: SHA3_384 -> Int Source #

hashDigestSize :: SHA3_384 -> Int Source #

hashInternalContextSize :: SHA3_384 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_384) -> Ptr (Digest SHA3_384) -> IO () Source #

type HashBlockSize SHA3_384 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_384 = 104
type HashDigestSize SHA3_384 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_384 = 48
type HashInternalContextSize SHA3_384 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_384 = 312

data SHA3_512 Source #

SHA3 (512 bits) cryptographic hash algorithm

Constructors

SHA3_512 |

#### Instances

Instances details

Data SHA3_512 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_512 -> c SHA3_512 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_512 Source #

toConstr :: SHA3_512 -> Constr Source #

dataTypeOf :: SHA3_512 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_512) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_512) Source #

gmapT :: (forall b. Data b => b -> b) -> SHA3_512 -> SHA3_512 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_512 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_512 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_512 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_512 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_512 -> m SHA3_512 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_512 -> m SHA3_512 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_512 -> m SHA3_512 Source #

Show SHA3_512 Source # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_512 -> ShowS Source # show :: SHA3_512 -> String Source # showList :: [SHA3_512] -> ShowS Source #
HashAlgorithm SHA3_512 Source # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_512 :: Nat Source #

type HashDigestSize SHA3_512 :: Nat Source #

type HashInternalContextSize SHA3_512 :: Nat Source #

Methods

hashBlockSize :: SHA3_512 -> Int Source #

hashDigestSize :: SHA3_512 -> Int Source #

hashInternalContextSize :: SHA3_512 -> Int Source #

hashInternalInit :: Ptr (Context SHA3_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context SHA3_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context SHA3_512) -> Ptr (Digest SHA3_512) -> IO () Source #

type HashBlockSize SHA3_512 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_512 = 72
type HashDigestSize SHA3_512 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_512 = 64
type HashInternalContextSize SHA3_512 Source # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_512 = 280

data SHAKE128 (bitlen :: Nat) Source #

SHAKE128 (128 bits) extendable output function. Supports an arbitrary digest size, to be specified as a type parameter of kind `Nat`.

Note: outputs from ``SHAKE128` n` and ``SHAKE128` m` for the same input are correlated (one being a prefix of the other). Results are unrelated to `SHAKE256` results.

Constructors

SHAKE128 |

#### Instances

Instances details

KnownNat bitlen => Data (SHAKE128 bitlen) Source # |

Instance details

Defined in Crypto.Hash.SHAKE

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHAKE128 bitlen -> c (SHAKE128 bitlen) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (SHAKE128 bitlen) Source #

toConstr :: SHAKE128 bitlen -> Constr Source #

dataTypeOf :: SHAKE128 bitlen -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (SHAKE128 bitlen)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (SHAKE128 bitlen)) Source #

gmapT :: (forall b. Data b => b -> b) -> SHAKE128 bitlen -> SHAKE128 bitlen Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE128 bitlen -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE128 bitlen -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHAKE128 bitlen -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHAKE128 bitlen -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHAKE128 bitlen -> m (SHAKE128 bitlen) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE128 bitlen -> m (SHAKE128 bitlen) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE128 bitlen -> m (SHAKE128 bitlen) Source #

Show (SHAKE128 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE Methods showsPrec :: Int -> SHAKE128 bitlen -> ShowS Source # show :: SHAKE128 bitlen -> String Source # showList :: [SHAKE128 bitlen] -> ShowS Source #
KnownNat bitlen => HashSHAKE (SHAKE128 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE Methods cshakeInternalFinalize :: Ptr (Context (SHAKE128 bitlen)) -> Ptr (Digest (SHAKE128 bitlen)) -> IO () cshakeOutputLength :: SHAKE128 bitlen -> Int
KnownNat bitlen => HashAlgorithm (SHAKE128 bitlen) Source # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE128 bitlen) :: Nat Source #

type HashDigestSize (SHAKE128 bitlen) :: Nat Source #

type HashInternalContextSize (SHAKE128 bitlen) :: Nat Source #

Methods

hashBlockSize :: SHAKE128 bitlen -> Int Source #

hashDigestSize :: SHAKE128 bitlen -> Int Source #

hashInternalContextSize :: SHAKE128 bitlen -> Int Source #

hashInternalInit :: Ptr (Context (SHAKE128 bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (SHAKE128 bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (SHAKE128 bitlen)) -> Ptr (Digest (SHAKE128 bitlen)) -> IO () Source #

type HashBlockSize (SHAKE128 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE128 bitlen) = 168
type HashDigestSize (SHAKE128 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE128 bitlen)
type HashInternalContextSize (SHAKE128 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE128 bitlen) = 376

data SHAKE256 (bitlen :: Nat) Source #

SHAKE256 (256 bits) extendable output function. Supports an arbitrary digest size, to be specified as a type parameter of kind `Nat`.

Note: outputs from ``SHAKE256` n` and ``SHAKE256` m` for the same input are correlated (one being a prefix of the other). Results are unrelated to `SHAKE128` results.

Constructors

SHAKE256 |

#### Instances

Instances details

KnownNat bitlen => Data (SHAKE256 bitlen) Source # |

Instance details

Defined in Crypto.Hash.SHAKE

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHAKE256 bitlen -> c (SHAKE256 bitlen) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (SHAKE256 bitlen) Source #

toConstr :: SHAKE256 bitlen -> Constr Source #

dataTypeOf :: SHAKE256 bitlen -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (SHAKE256 bitlen)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (SHAKE256 bitlen)) Source #

gmapT :: (forall b. Data b => b -> b) -> SHAKE256 bitlen -> SHAKE256 bitlen Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE256 bitlen -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE256 bitlen -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> SHAKE256 bitlen -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHAKE256 bitlen -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHAKE256 bitlen -> m (SHAKE256 bitlen) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE256 bitlen -> m (SHAKE256 bitlen) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE256 bitlen -> m (SHAKE256 bitlen) Source #

Show (SHAKE256 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE Methods showsPrec :: Int -> SHAKE256 bitlen -> ShowS Source # show :: SHAKE256 bitlen -> String Source # showList :: [SHAKE256 bitlen] -> ShowS Source #
KnownNat bitlen => HashSHAKE (SHAKE256 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE Methods cshakeInternalFinalize :: Ptr (Context (SHAKE256 bitlen)) -> Ptr (Digest (SHAKE256 bitlen)) -> IO () cshakeOutputLength :: SHAKE256 bitlen -> Int
KnownNat bitlen => HashAlgorithm (SHAKE256 bitlen) Source # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE256 bitlen) :: Nat Source #

type HashDigestSize (SHAKE256 bitlen) :: Nat Source #

type HashInternalContextSize (SHAKE256 bitlen) :: Nat Source #

Methods

hashBlockSize :: SHAKE256 bitlen -> Int Source #

hashDigestSize :: SHAKE256 bitlen -> Int Source #

hashInternalContextSize :: SHAKE256 bitlen -> Int Source #

hashInternalInit :: Ptr (Context (SHAKE256 bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (SHAKE256 bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (SHAKE256 bitlen)) -> Ptr (Digest (SHAKE256 bitlen)) -> IO () Source #

type HashBlockSize (SHAKE256 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE256 bitlen) = 136
type HashDigestSize (SHAKE256 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE256 bitlen)
type HashInternalContextSize (SHAKE256 bitlen) Source # |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE256 bitlen) = 344

data Blake2b (bitlen :: Nat) Source #

Fast cryptographic hash.

It is especially known to target 64bits architectures.

Known supported digest sizes:

- Blake2b 160
- Blake2b 224
- Blake2b 256
- Blake2b 384
- Blake2b 512

Constructors

Blake2b |

#### Instances

Instances details

KnownNat bitlen => Data (Blake2b bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b bitlen -> c (Blake2b bitlen) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2b bitlen) Source #

toConstr :: Blake2b bitlen -> Constr Source #

dataTypeOf :: Blake2b bitlen -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2b bitlen)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2b bitlen)) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2b bitlen -> Blake2b bitlen Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b bitlen -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b bitlen -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b bitlen -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b bitlen -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b bitlen -> m (Blake2b bitlen) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b bitlen -> m (Blake2b bitlen) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b bitlen -> m (Blake2b bitlen) Source #

Show (Blake2b bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2b bitlen -> ShowS Source # show :: Blake2b bitlen -> String Source # showList :: [Blake2b bitlen] -> ShowS Source #
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashBlake2 (Blake2b bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2b bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2b bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2b bitlen) :: Nat Source #

type HashDigestSize (Blake2b bitlen) :: Nat Source #

type HashInternalContextSize (Blake2b bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2b bitlen -> Int Source #

hashDigestSize :: Blake2b bitlen -> Int Source #

hashInternalContextSize :: Blake2b bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2b bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2b bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2b bitlen)) -> Ptr (Digest (Blake2b bitlen)) -> IO () Source #

type HashBlockSize (Blake2b bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2b bitlen) = 128
type HashDigestSize (Blake2b bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2b bitlen)
type HashInternalContextSize (Blake2b bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2b bitlen) = 248

data Blake2bp (bitlen :: Nat) Source #

Constructors

Blake2bp |

#### Instances

Instances details

KnownNat bitlen => Data (Blake2bp bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2bp bitlen -> c (Blake2bp bitlen) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2bp bitlen) Source #

toConstr :: Blake2bp bitlen -> Constr Source #

dataTypeOf :: Blake2bp bitlen -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2bp bitlen)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2bp bitlen)) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2bp bitlen -> Blake2bp bitlen Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp bitlen -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp bitlen -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2bp bitlen -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2bp bitlen -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2bp bitlen -> m (Blake2bp bitlen) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp bitlen -> m (Blake2bp bitlen) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp bitlen -> m (Blake2bp bitlen) Source #

Show (Blake2bp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2bp bitlen -> ShowS Source # show :: Blake2bp bitlen -> String Source # showList :: [Blake2bp bitlen] -> ShowS Source #
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashBlake2 (Blake2bp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2bp bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2bp bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2bp bitlen) :: Nat Source #

type HashDigestSize (Blake2bp bitlen) :: Nat Source #

type HashInternalContextSize (Blake2bp bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2bp bitlen -> Int Source #

hashDigestSize :: Blake2bp bitlen -> Int Source #

hashInternalContextSize :: Blake2bp bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2bp bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2bp bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2bp bitlen)) -> Ptr (Digest (Blake2bp bitlen)) -> IO () Source #

type HashBlockSize (Blake2bp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2bp bitlen) = 128
type HashDigestSize (Blake2bp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2bp bitlen)
type HashInternalContextSize (Blake2bp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2bp bitlen) = 2325

data Blake2s (bitlen :: Nat) Source #

Fast and secure alternative to SHA1 and HMAC-SHA1

It is espacially known to target 32bits architectures.

Known supported digest sizes:

- Blake2s 160
- Blake2s 224
- Blake2s 256

Constructors

Blake2s |

#### Instances

Instances details

KnownNat bitlen => Data (Blake2s bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s bitlen -> c (Blake2s bitlen) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2s bitlen) Source #

toConstr :: Blake2s bitlen -> Constr Source #

dataTypeOf :: Blake2s bitlen -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2s bitlen)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2s bitlen)) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2s bitlen -> Blake2s bitlen Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s bitlen -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s bitlen -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s bitlen -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s bitlen -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s bitlen -> m (Blake2s bitlen) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s bitlen -> m (Blake2s bitlen) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s bitlen -> m (Blake2s bitlen) Source #

Show (Blake2s bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2s bitlen -> ShowS Source # show :: Blake2s bitlen -> String Source # showList :: [Blake2s bitlen] -> ShowS Source #
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashBlake2 (Blake2s bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2s bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2s bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2s bitlen) :: Nat Source #

type HashDigestSize (Blake2s bitlen) :: Nat Source #

type HashInternalContextSize (Blake2s bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2s bitlen -> Int Source #

hashDigestSize :: Blake2s bitlen -> Int Source #

hashInternalContextSize :: Blake2s bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2s bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2s bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2s bitlen)) -> Ptr (Digest (Blake2s bitlen)) -> IO () Source #

type HashBlockSize (Blake2s bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2s bitlen) = 64
type HashDigestSize (Blake2s bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2s bitlen)
type HashInternalContextSize (Blake2s bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2s bitlen) = 136

data Blake2sp (bitlen :: Nat) Source #

Constructors

Blake2sp |

#### Instances

Instances details

KnownNat bitlen => Data (Blake2sp bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2sp bitlen -> c (Blake2sp bitlen) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2sp bitlen) Source #

toConstr :: Blake2sp bitlen -> Constr Source #

dataTypeOf :: Blake2sp bitlen -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2sp bitlen)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2sp bitlen)) Source #

gmapT :: (forall b. Data b => b -> b) -> Blake2sp bitlen -> Blake2sp bitlen Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp bitlen -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp bitlen -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Blake2sp bitlen -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2sp bitlen -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2sp bitlen -> m (Blake2sp bitlen) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp bitlen -> m (Blake2sp bitlen) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp bitlen -> m (Blake2sp bitlen) Source #

Show (Blake2sp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2sp bitlen -> ShowS Source # show :: Blake2sp bitlen -> String Source # showList :: [Blake2sp bitlen] -> ShowS Source #
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashBlake2 (Blake2sp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2sp bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2sp bitlen) Source # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2sp bitlen) :: Nat Source #

type HashDigestSize (Blake2sp bitlen) :: Nat Source #

type HashInternalContextSize (Blake2sp bitlen) :: Nat Source #

Methods

hashBlockSize :: Blake2sp bitlen -> Int Source #

hashDigestSize :: Blake2sp bitlen -> Int Source #

hashInternalContextSize :: Blake2sp bitlen -> Int Source #

hashInternalInit :: Ptr (Context (Blake2sp bitlen)) -> IO () Source #

hashInternalUpdate :: Ptr (Context (Blake2sp bitlen)) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context (Blake2sp bitlen)) -> Ptr (Digest (Blake2sp bitlen)) -> IO () Source #

type HashBlockSize (Blake2sp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2sp bitlen) = 64
type HashDigestSize (Blake2sp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2sp bitlen)
type HashInternalContextSize (Blake2sp bitlen) Source # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2sp bitlen) = 2185

data Skein256_224 Source #

Skein256 (224 bits) cryptographic hash algorithm

Constructors

Skein256_224 |

#### Instances

Instances details

Data Skein256_224 Source # |

Instance details

Defined in Crypto.Hash.Skein256

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein256_224 -> c Skein256_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein256_224 Source #

toConstr :: Skein256_224 -> Constr Source #

dataTypeOf :: Skein256_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein256_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein256_224) Source #

gmapT :: (forall b. Data b => b -> b) -> Skein256_224 -> Skein256_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Skein256_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein256_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein256_224 -> m Skein256_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_224 -> m Skein256_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_224 -> m Skein256_224 Source #

Show Skein256_224 Source # |
Instance details Defined in Crypto.Hash.Skein256 Methods showsPrec :: Int -> Skein256_224 -> ShowS Source # show :: Skein256_224 -> String Source # showList :: [Skein256_224] -> ShowS Source #
HashAlgorithm Skein256_224 Source # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_224 :: Nat Source #

type HashDigestSize Skein256_224 :: Nat Source #

type HashInternalContextSize Skein256_224 :: Nat Source #

Methods

hashBlockSize :: Skein256_224 -> Int Source #

hashDigestSize :: Skein256_224 -> Int Source #

hashInternalContextSize :: Skein256_224 -> Int Source #

hashInternalInit :: Ptr (Context Skein256_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein256_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein256_224) -> Ptr (Digest Skein256_224) -> IO () Source #

type HashBlockSize Skein256_224 Source # |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_224 = 32
type HashDigestSize Skein256_224 Source # |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_224 = 28
type HashInternalContextSize Skein256_224 Source # |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_224 = 96

data Skein256_256 Source #

Skein256 (256 bits) cryptographic hash algorithm

Constructors

Skein256_256 |

#### Instances

Instances details

Data Skein256_256 Source # |

Instance details

Defined in Crypto.Hash.Skein256

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein256_256 -> c Skein256_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein256_256 Source #

toConstr :: Skein256_256 -> Constr Source #

dataTypeOf :: Skein256_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein256_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein256_256) Source #

gmapT :: (forall b. Data b => b -> b) -> Skein256_256 -> Skein256_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Skein256_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein256_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein256_256 -> m Skein256_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_256 -> m Skein256_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_256 -> m Skein256_256 Source #

Show Skein256_256 Source # |
Instance details Defined in Crypto.Hash.Skein256 Methods showsPrec :: Int -> Skein256_256 -> ShowS Source # show :: Skein256_256 -> String Source # showList :: [Skein256_256] -> ShowS Source #
HashAlgorithm Skein256_256 Source # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_256 :: Nat Source #

type HashDigestSize Skein256_256 :: Nat Source #

type HashInternalContextSize Skein256_256 :: Nat Source #

Methods

hashBlockSize :: Skein256_256 -> Int Source #

hashDigestSize :: Skein256_256 -> Int Source #

hashInternalContextSize :: Skein256_256 -> Int Source #

hashInternalInit :: Ptr (Context Skein256_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein256_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein256_256) -> Ptr (Digest Skein256_256) -> IO () Source #

type HashBlockSize Skein256_256 Source # |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_256 = 32
type HashDigestSize Skein256_256 Source # |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_256 = 32
type HashInternalContextSize Skein256_256 Source # |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_256 = 96

data Skein512_224 Source #

Skein512 (224 bits) cryptographic hash algorithm

Constructors

Skein512_224 |

#### Instances

Instances details

Data Skein512_224 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_224 -> c Skein512_224 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_224 Source #

toConstr :: Skein512_224 -> Constr Source #

dataTypeOf :: Skein512_224 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_224) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_224) Source #

gmapT :: (forall b. Data b => b -> b) -> Skein512_224 -> Skein512_224 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_224 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_224 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_224 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_224 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_224 -> m Skein512_224 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_224 -> m Skein512_224 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_224 -> m Skein512_224 Source #

Show Skein512_224 Source # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_224 -> ShowS Source # show :: Skein512_224 -> String Source # showList :: [Skein512_224] -> ShowS Source #
HashAlgorithm Skein512_224 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_224 :: Nat Source #

type HashDigestSize Skein512_224 :: Nat Source #

type HashInternalContextSize Skein512_224 :: Nat Source #

Methods

hashBlockSize :: Skein512_224 -> Int Source #

hashDigestSize :: Skein512_224 -> Int Source #

hashInternalContextSize :: Skein512_224 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_224) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_224) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_224) -> Ptr (Digest Skein512_224) -> IO () Source #

type HashBlockSize Skein512_224 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_224 = 64
type HashDigestSize Skein512_224 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_224 = 28
type HashInternalContextSize Skein512_224 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_224 = 160

data Skein512_256 Source #

Skein512 (256 bits) cryptographic hash algorithm

Constructors

Skein512_256 |

#### Instances

Instances details

Data Skein512_256 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_256 -> c Skein512_256 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_256 Source #

toConstr :: Skein512_256 -> Constr Source #

dataTypeOf :: Skein512_256 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_256) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_256) Source #

gmapT :: (forall b. Data b => b -> b) -> Skein512_256 -> Skein512_256 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_256 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_256 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_256 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_256 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_256 -> m Skein512_256 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_256 -> m Skein512_256 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_256 -> m Skein512_256 Source #

Show Skein512_256 Source # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_256 -> ShowS Source # show :: Skein512_256 -> String Source # showList :: [Skein512_256] -> ShowS Source #
HashAlgorithm Skein512_256 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_256 :: Nat Source #

type HashDigestSize Skein512_256 :: Nat Source #

type HashInternalContextSize Skein512_256 :: Nat Source #

Methods

hashBlockSize :: Skein512_256 -> Int Source #

hashDigestSize :: Skein512_256 -> Int Source #

hashInternalContextSize :: Skein512_256 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_256) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_256) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_256) -> Ptr (Digest Skein512_256) -> IO () Source #

type HashBlockSize Skein512_256 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_256 = 64
type HashDigestSize Skein512_256 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_256 = 32
type HashInternalContextSize Skein512_256 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_256 = 160

data Skein512_384 Source #

Skein512 (384 bits) cryptographic hash algorithm

Constructors

Skein512_384 |

#### Instances

Instances details

Data Skein512_384 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_384 -> c Skein512_384 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_384 Source #

toConstr :: Skein512_384 -> Constr Source #

dataTypeOf :: Skein512_384 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_384) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_384) Source #

gmapT :: (forall b. Data b => b -> b) -> Skein512_384 -> Skein512_384 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_384 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_384 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_384 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_384 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_384 -> m Skein512_384 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_384 -> m Skein512_384 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_384 -> m Skein512_384 Source #

Show Skein512_384 Source # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_384 -> ShowS Source # show :: Skein512_384 -> String Source # showList :: [Skein512_384] -> ShowS Source #
HashAlgorithm Skein512_384 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_384 :: Nat Source #

type HashDigestSize Skein512_384 :: Nat Source #

type HashInternalContextSize Skein512_384 :: Nat Source #

Methods

hashBlockSize :: Skein512_384 -> Int Source #

hashDigestSize :: Skein512_384 -> Int Source #

hashInternalContextSize :: Skein512_384 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_384) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_384) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_384) -> Ptr (Digest Skein512_384) -> IO () Source #

type HashBlockSize Skein512_384 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_384 = 64
type HashDigestSize Skein512_384 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_384 = 48
type HashInternalContextSize Skein512_384 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_384 = 160

data Skein512_512 Source #

Skein512 (512 bits) cryptographic hash algorithm

Constructors

Skein512_512 |

#### Instances

Instances details

Data Skein512_512 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_512 -> c Skein512_512 Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_512 Source #

toConstr :: Skein512_512 -> Constr Source #

dataTypeOf :: Skein512_512 -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_512) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_512) Source #

gmapT :: (forall b. Data b => b -> b) -> Skein512_512 -> Skein512_512 Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_512 -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_512 -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_512 -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_512 -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_512 -> m Skein512_512 Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_512 -> m Skein512_512 Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_512 -> m Skein512_512 Source #

Show Skein512_512 Source # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_512 -> ShowS Source # show :: Skein512_512 -> String Source # showList :: [Skein512_512] -> ShowS Source #
HashAlgorithm Skein512_512 Source # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_512 :: Nat Source #

type HashDigestSize Skein512_512 :: Nat Source #

type HashInternalContextSize Skein512_512 :: Nat Source #

Methods

hashBlockSize :: Skein512_512 -> Int Source #

hashDigestSize :: Skein512_512 -> Int Source #

hashInternalContextSize :: Skein512_512 -> Int Source #

hashInternalInit :: Ptr (Context Skein512_512) -> IO () Source #

hashInternalUpdate :: Ptr (Context Skein512_512) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Skein512_512) -> Ptr (Digest Skein512_512) -> IO () Source #

type HashBlockSize Skein512_512 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_512 = 64
type HashDigestSize Skein512_512 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_512 = 64
type HashInternalContextSize Skein512_512 Source # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_512 = 160

data Whirlpool Source #

Whirlpool cryptographic hash algorithm

Constructors

Whirlpool |

#### Instances

Instances details

Data Whirlpool Source # |

Instance details

Defined in Crypto.Hash.Whirlpool

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Whirlpool -> c Whirlpool Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Whirlpool Source #

toConstr :: Whirlpool -> Constr Source #

dataTypeOf :: Whirlpool -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Whirlpool) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Whirlpool) Source #

gmapT :: (forall b. Data b => b -> b) -> Whirlpool -> Whirlpool Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Whirlpool -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Whirlpool -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Whirlpool -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Whirlpool -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Whirlpool -> m Whirlpool Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Whirlpool -> m Whirlpool Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Whirlpool -> m Whirlpool Source #

Show Whirlpool Source # |
Instance details Defined in Crypto.Hash.Whirlpool Methods showsPrec :: Int -> Whirlpool -> ShowS Source # show :: Whirlpool -> String Source # showList :: [Whirlpool] -> ShowS Source #
HashAlgorithm Whirlpool Source # |

Instance details

Defined in Crypto.Hash.Whirlpool

Associated Types

type HashBlockSize Whirlpool :: Nat Source #

type HashDigestSize Whirlpool :: Nat Source #

type HashInternalContextSize Whirlpool :: Nat Source #

Methods

hashBlockSize :: Whirlpool -> Int Source #

hashDigestSize :: Whirlpool -> Int Source #

hashInternalContextSize :: Whirlpool -> Int Source #

hashInternalInit :: Ptr (Context Whirlpool) -> IO () Source #

hashInternalUpdate :: Ptr (Context Whirlpool) -> Ptr Word8 -> Word32 -> IO () Source #

hashInternalFinalize :: Ptr (Context Whirlpool) -> Ptr (Digest Whirlpool) -> IO () Source #

type HashBlockSize Whirlpool Source # |
Instance details Defined in Crypto.Hash.Whirlpool type HashBlockSize Whirlpool = 64
type HashDigestSize Whirlpool Source # |
Instance details Defined in Crypto.Hash.Whirlpool type HashDigestSize Whirlpool = 64
type HashInternalContextSize Whirlpool Source # |
Instance details Defined in Crypto.Hash.Whirlpool type HashInternalContextSize Whirlpool = 168